@import url("https://fonts.googleapis.com/css2?family=Monoton&family=Quicksand:wght@500;700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
}

body {
  font-size: 2.4rem;
  font-family: sans-serif;
  color: #5a3e2b;
  background-color: darkorange;
  font-family: "Quicksand";
  font-weight: 500;
}

.app {
  width: 100%;
  height: 100vh;
  display: grid;
  grid-template-rows: auto auto 1fr auto;
}

h1 {
  text-align: center;
  background-color: navajowhite;
  font-family: "Arial";
  font-size: 8rem;
  text-transform: uppercase;
  font-weight: 400;
  word-spacing: 30px;
  letter-spacing: 2px;
  padding: 2.4rem 0;
}

.add-form {
  background-color: #e5771f;

  padding: 2.8rem 0 2.8rem 0;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}

h3 {
  margin-right: 1.6rem;
  font-size: 2.4rem;
}

button,
select,
input {
  background-color: white;
  color: #5a3e2b;
  font-family: inherit;
  border: none;
  border-radius: 10rem;
  padding: 1.2rem 3.5rem;
  font-weight: 700;
  font-size: 1.8rem;
  cursor: pointer;
}

select,
input {
  box-shadow: 1px 1px 5px gray;
}
.add-form button {
  text-transform: uppercase;
  background-color: greenyellow;
  box-shadow: 1px 1px 5px brown;
}

.list {
  background-color: darkorange;
  padding: 10rem 0;

  display: flex;
  justify-content: space-between;
  flex-direction: column;
  gap: 3.2rem;
  align-items: center;
}

.actions {
  display: flex;
  justify-content: center;
  gap: 1rem;
  width: 100%;
  padding: 1rem;
  margin-top: auto;
}
.actions button,
.list select {
  margin-top: 5rem;
}
.actions button {
  background-color: greenyellow;
  text-transform: uppercase;
  box-shadow: 1px 1px 5px brown;
}

.list ul {
  list-style: none;

  width: 75%;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));

  gap: 0.2rem;

  align-content: start;
  flex-wrap: wrap;
  word-wrap: normal;
  word-break: normal;
}

.list li {
  display: flex;
  align-items: center;
  gap: 1.2rem;
  font-weight: 700;
}

input[type="checkbox"] {
  height: 2rem;
  width: 2rem;
  min-width: 2rem;
  accent-color: white;
}

.list li button {
  cursor: pointer;
  background: none;
  border: none;
  font-size: 1.8rem;
  padding: 0.8rem;
  transform: translateY(2px);
}

.stats {
  text-align: center;
  font-weight: 700;
  padding: 3.2rem 0;
  background-color: navajowhite;
  width: 100%;
}
